package com.zbf.system.service;

import java.util.List;
import com.zbf.system.domain.TSeq;

/**
 * generateSeqService接口
 *
 * @author wgs
 * @date 2024-06-21
 */
public interface ITSeqService
{


    String generateTempSeq(String preStr, int len);

    String generateSeq(String preStr, int len);

    /**
     * 查询generateSeq
     *
     * @param id generateSeq主键
     * @return generateSeq
     */
    public TSeq selectTSeqById(Long id);

    /**
     * 查询generateSeq列表
     *
     * @param tSeq generateSeq
     * @return generateSeq集合
     */
    public List<TSeq> selectTSeqList(TSeq tSeq);

    /**
     * 新增generateSeq
     *
     * @param tSeq generateSeq
     * @return 结果
     */
    public int insertTSeq(TSeq tSeq);

    /**
     * 修改generateSeq
     *
     * @param tSeq generateSeq
     * @return 结果
     */
    public int updateTSeq(TSeq tSeq);

    /**
     * 批量删除generateSeq
     *
     * @param ids 需要删除的generateSeq主键集合
     * @return 结果
     */
    public int deleteTSeqByIds(Long[] ids);

    /**
     * 删除generateSeq信息
     *
     * @param id generateSeq主键
     * @return 结果
     */
    public int deleteTSeqById(Long id);

    /**
     * 批量禁用generateSeq
     *
     * @param ids 需要禁用的generateSeq主键集合
     * @return 结果
     */
    public int disabledTSeqByIds(Long[] ids);

    /**
     * 批量启用generateSeq
     *
     * @param ids 需要启用的generateSeq主键集合
     * @return 结果
     */
    public int enableTSeqByIds(Long[] ids);

    /**
     * 改变状态
     *
     * @param tSeq
     * @return 结果
     */
    public int updateStatus(TSeq tSeq);
}

